Update ScriptAsk AIput https://api.corestack.io/operation/automation/{tenant_id}/scripts/{script_id}Updates script details such as name, script path, dependencies etc.,Path Paramstenant_idstringrequiredSpecify the tenant ID. This is a unique ID and can be retrieved using the List Tenants API.script_idstringrequiredID of the script. This can be fetched from listScripts APIBody ParamsnamestringrequiredName of the script and it should be unique.uristringUnique URI for script - eg: script/ansi/linux/lamp_install. If not provided, corestack will generate it automaticallydescriptionstringDetailed description about scriptcategoryarray of stringsrequiredScript Categorycategory*ADD stringplatformarray of stringsrequiredPlatforms supported by script.platform*ADD stringoperating_systemarray of stringsrequiredOS supported by scriptoperating_system*ADD stringconfig_typestringenumrequiredConfig type of the script. Create is supported for ansible type scripts alone for nowansibleAllowed:ansiblescopestringenumrequiredThe scope of the script: Account scope - All users under that account will have access to view and execute Only Account admins can update/delete the scripts, Tenant Scope - Users with access to the specific tenant will have access to scripts who can describe or execute scripts. Tenant admins can only update/delete. Private Scope - User who created will only have accessprivateaccounttenantAllowed:privateaccounttenantscript_infoarray of objectsrequiredscript infoscript_info*ADD objectdependenciesarray of objectsDetails of the dependent scripts if any. For eg., A LAMP script will have apache, mysql, php as dependent scripts.This can be skipped if there are no dependent scripts or if the actual script takes care of installing all dependenciesdependenciesADD objectminimum_requirementobjectminimum_requirement objectplaybook_yamlstringPlaybook yaml path - mandatory for ansible scriptsResponses 200Updated 400Bad Request 401Unauthorized 500Internal Server ErrorUpdated about 2 months ago